const StappoClass = require("stappo");
var stappo = new StappoClass();

// initialize state without listening
stappo.update((state) => ({foo: 0}));

const listener = stappo.listen( state => {
    state.bla = 1; // immutable, won't alter state object
    console.log("Updated:" , state)
    }
);
stappo.update((state) => ({foo: state.foo + 1}));
stappo.unlisten( listener );

;
